APT-SORTPKGS(1)

de Febrero de 2004

NAME
apt-sortpkgs - Herramienta para ordenar los ficheros de índice de paquetes

SYNOPSIS

apt-sortpkgs [-hvs] [-o=cadena-de-configuración] [-c=fichero] fichero...

DESCRIPCIóN

apt-sortpkgs toma un fichero de índice (índice de fuentes («Source») o índice de paquetes («Package»)) y ordena los registros por nombre de paquete. También ordena los campos internos de cada registro de acuerdo a las reglas de ordenación internas.

Toda la salida se muestra por la salida estándar, la entrada debe ser un fichero ubicable.

OPCIONES

Todas las opciones de la línea de órdenes se pueden definir mediante el fichero de configuración, las descripciones indican la opción de la configuración a definir. Para opciones de tipo «boolean» puede invalidar el fichero de configuración utilizando algo como -f-,--no-f, -f=no u otras muchas variaciones.

-s, --source
    Ordena por el campo de índice Source. Opción de configuración: APT::SortPkgs::Source.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Define una opción de configuración: Esto definirá una opción arbitraria de configuración. La sintaxis es -o Algo::Cosa=cosa. -o y --option se pueden usar varias veces para definir diferentes opciones.

VéASE TAMBIéN

apt.conf(5)

DIAGNóSTICOS

apt-sortpkgs devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2010.

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTHORS

Jason Gunthorpe

Equipo de APT

NOTES

1.  Página de errores de APT
    http://bugs.debian.org/src:apt